<?php

/**
 * This software is intended for use with Oxdate Free Dating Software http://www.oxdate.org/ and is a proprietary licensed product. 
 * For more information see License.txt in the plugin folder.

 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

class INDEXLOGIN_CTRL_Admin extends ADMIN_CTRL_Abstract
{
	public function __construct() {
	parent::__construct();

		if (OW::getRequest()->isAjax()) {
			return;
		}

		$lang = OW::getLanguage();

		$menu = new BASE_CMP_ContentMenu();

		$menuItem = new BASE_MenuItem();
		$menuItem->setKey('settings');
		$menuItem->setLabel($lang->text('indexlogin', 'indexlogin_admin_settings'));
		$menuItem->setUrl(OW::getRouter()->urlForRoute('indexlogin_admin_settings'));
		$menuItem->setIconClass('ow_ic_gear_wheel');
		$menuItem->setOrder(1);
		$menu->addElement($menuItem);

		$this->addComponent('menu', $menu);
		$this->menu = $menu;
		
	}

    public function settings()
    {
        $this->setPageHeading(OW::getLanguage()->text('indexlogin', 'admin_settings_heading'));
        $this->setPageHeadingIconClass('ow_ic_gear_wheel');
		
		$this->assign('setting', OW::getLanguage()->text('indexlogin', 'indexlogin_setting_msg'));
    }
}